/*
 * FlightImpl.java
 *
 * Created on 5. februar 2001, 20:40
 */

package com.bekk.dbcdemo;

import fubar.Wom; // This is a class from a dummy package

/**
 * This is a default implementation of a Flight. It extends from a class in a dummy
 * third party library which has never been instrumented with iContract. This is only
 * to demonstrate how to deal with third party sources.
 *
 * @author  <a href="mailto:aslak.hellesoy@bekk.no">Aslak Hellesy</a>
 */
public class FlightImpl extends Wom implements Flight {

	private final String name_;

	private int passengers_ = 0;

	/**
	 * Constructor
	 *
	 * @param name the name of the flight
	 * @pre name != null
	 */
	public FlightImpl( String name ) {
		name_ = name;
	}

	public String accept( Passenger passenger ) {
		// UNCOMMENT NEXT LINE TO FIX THE POSTCONDITION BUG
		// passengers_++;
		return passenger.getDestination();
	}

	public String getName() {
		return name_;
	}

	public int getPassengers() {
		return passengers_;
	}
}
